---
apiVersion: v1
kind: List
items:
- apiVersion: v1
  kind: Service
  metadata:
    annotations:
      fabric8.io/git-commit: f32b8d3c4180c815de19e0aaec818d9c2b403e07
      fabric8.io/scm-con-url: scm:git:git@github.com:syndesisio/syndesis-rest.git/runtime
      prometheus.io/port: "9779"
      fabric8.io/scm-url: http://github.com/syndesisio/syndesis-rest/runtime/
      fabric8.io/git-branch: f32b8d3c4180c815de19e0aaec818d9c2b403e07
      prometheus.io/scrape: "true"
      fabric8.io/scm-devcon-url: scm:git:git@github.com:syndesisio/syndesis-rest.git/runtime
      fabric8.io/scm-tag: 1.1.2
    labels:
      expose: "true"
      provider: fabric8
      project: runtime
      version: 1.1.2
      group: io.syndesis
    name: runtime
  spec:
    ports:
    - name: http
      port: 8080
      protocol: TCP
      targetPort: 8080
    selector:
      project: runtime
      provider: fabric8
      group: io.syndesis
- apiVersion: v1
  kind: DeploymentConfig
  metadata:
    annotations:
      fabric8.io/git-commit: f32b8d3c4180c815de19e0aaec818d9c2b403e07
      fabric8.io/metrics-path: dashboard/file/kubernetes-pods.json/?var-project=runtime&var-version=1.1.2
      fabric8.io/scm-con-url: scm:git:git@github.com:syndesisio/syndesis-rest.git/runtime
      fabric8.io/scm-url: http://github.com/syndesisio/syndesis-rest/runtime/
      fabric8.io/git-branch: f32b8d3c4180c815de19e0aaec818d9c2b403e07
      fabric8.io/scm-devcon-url: scm:git:git@github.com:syndesisio/syndesis-rest.git/runtime
      fabric8.io/scm-tag: 1.1.2
    labels:
      provider: fabric8
      project: runtime
      version: 1.1.2
      group: io.syndesis
    name: runtime
  spec:
    replicas: 1
    selector:
      project: runtime
      provider: fabric8
      version: 1.1.2
      group: io.syndesis
    template:
      metadata:
        annotations:
          fabric8.io/git-commit: f32b8d3c4180c815de19e0aaec818d9c2b403e07
          fabric8.io/metrics-path: dashboard/file/kubernetes-pods.json/?var-project=runtime&var-version=1.1.2
          fabric8.io/scm-con-url: scm:git:git@github.com:syndesisio/syndesis-rest.git/runtime
          fabric8.io/scm-url: http://github.com/syndesisio/syndesis-rest/runtime/
          fabric8.io/git-branch: f32b8d3c4180c815de19e0aaec818d9c2b403e07
          fabric8.io/scm-devcon-url: scm:git:git@github.com:syndesisio/syndesis-rest.git/runtime
          fabric8.io/scm-tag: 1.1.2
        labels:
          provider: fabric8
          project: runtime
          version: 1.1.2
          group: io.syndesis
      spec:
        containers:
        - env:
          - name: JAVA_OPTIONS
            value: -Djava.net.preferIPv4Stack=true
          - name: KUBERNETES_NAMESPACE
            valueFrom:
              fieldRef:
                fieldPath: metadata.namespace
          - name: JAVA_APP_DIR
            value: /deployments
          image: syndesis/syndesis-rest:1.1.2
          imagePullPolicy: IfNotPresent
          livenessProbe:
            httpGet:
              path: /health
              port: 8181
              scheme: HTTP
            initialDelaySeconds: 180
          name: spring-boot
          ports:
          - containerPort: 8080
            name: http
            protocol: TCP
          - containerPort: 9779
            name: prometheus
            protocol: TCP
          - containerPort: 8778
            name: jolokia
            protocol: TCP
          readinessProbe:
            httpGet:
              path: /health
              port: 8181
              scheme: HTTP
            initialDelaySeconds: 10
          resources:
            limits:
              cpu: 1000m
              memory: 612Mi
            requests:
              cpu: 200m
              memory: 200Mi
          securityContext:
            privileged: false
    triggers:
    - type: ConfigChange
    - imageChangeParams:
        automatic: true
        containerNames:
        - spring-boot
        from:
          kind: ImageStreamTag
          name: syndesis-rest:1.1.2
      type: ImageChange
- apiVersion: v1
  kind: Route
  metadata:
    labels:
      expose: "true"
      provider: fabric8
      project: runtime
      version: 1.1.2
      group: io.syndesis
    name: runtime
  spec:
    port:
      targetPort: 8080
    to:
      kind: Service
      name: runtime
